Subject: [PATCH RFC] ARM: tango4: Fix build issues

From: [email-masked] (Mason)
Date: Fri, 1 Jan 2016 12:11:41 +0100

On 31/12/2015 17:51, Arnd Bergmann wrote:
> On Thursday 31 December 2015 17:31:57 Olof Johansson wrote:
>> On Thu, Dec 31, 2015 at 2:21 PM, Olof Johansson <[email-masked]> wrote:
>>> On Fri, Dec 25, 2015 at 10:49:56PM +0100, Mason wrote:
>>>> From: Marc Gonzalez <[email-masked]>
>>>>
>>>> Move SMP setup to platsmp.c
>>>> Specify the CPU type to the assembler, and only for smc.S
>>>>
>>>> Signed-off-by: Marc Gonzalez <[email-masked]>
>>>> ---
>>>
>>> Applied, thanks.
>>
>> Actually, I just noticed that the smc.c Makefile part isn't done as it
>> should, so I'll drop this again.
> 
> I've applied a different patch now, so we can at least get allmodconfig
> to build again in linux-next:

<confused> Are you saying allmodconfig doesn't build?
The warning you mention is non-fatal.
Is there a setting to make that warning become a fatal error?
(Is -Werror enabled on the linux-next builds?)

> commit 765ff22d54591a24fe81f6a451b953f43e076ced
> Author: Arnd Bergmann <[email-masked]>
> Date:   Tue Dec 29 13:43:35 2015 +0100
> 
>     ARM: tango: pass ARM arch level for smc.S
>     
>     allmodconfig is broken by the addition of the -mcpu=cortex-a9
>     flag for smc.S:
>
>     arch/arm/mach-tango/smc.S:1:0: warning: switch -mcpu=cortex-a9 conflicts with -march=armv6k switch
>     
>     This sets the flag in the same way that all other platforms
>     do, to fix the compile error.
>     
>     Signed-off-by: Arnd Bergmann <[email-masked]>
> 
> diff --git a/arch/arm/mach-tango/Makefile b/arch/arm/mach-tango/Makefile
> index 0d7e2b5..99422ea 100644
> --- a/arch/arm/mach-tango/Makefile
> +++ b/arch/arm/mach-tango/Makefile
> @@ -1,2 +1,3 @@
> -asflags-y += -mcpu=cortex-a9
> +plus_sec := $(call as-instr,.arch_extension sec,+sec)
> +AFLAGS_smc.o		:=-Wa,-march=armv7-a$(plus_sec)

Could you please amend the patch to drop the two extra tabs here?

Regards.